clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::FieldConstructionScope Class Reference

A scope within which we are constructing the fields of an object which might use a CXXDefaultInitExpr. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| FieldConstructionScope (CodeGenFunction &CGF, Address This)
| ~FieldConstructionScope ()

## Detailed Description

A scope within which we are constructing the fields of an object which might use a CXXDefaultInitExpr.

This stashes away a 'this' value to use if we need to evaluate a CXXDefaultInitExpr within the evaluation.

Definition at line 1401 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ FieldConstructionScope()

clang::CodeGen::CodeGenFunction::FieldConstructionScope::FieldConstructionScope | ( | CodeGenFunction & | CGF,
|  | Address | This
| ) |  |
| inline

Definition at line 1403 of file CodeGenFunction.h.

## ◆ ~FieldConstructionScope()

clang::CodeGen::CodeGenFunction::FieldConstructionScope::~FieldConstructionScope | ( |  | ) |
| inline

Definition at line 1407 of file CodeGenFunction.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h